stages:
  - 🧨unit-tests
  - 🔎code-quality

variables:
  CONTAINER_PORT: 8080
  EXPOSED_PORT: 80

#-----------------------------------------------------------------------------------------
# Includes (remote is possible)
#-----------------------------------------------------------------------------------------
include:
 - local: 'ci/testing/mocha.gitlab-ci.yml'
 - local: 'ci/quality/eslint.gitlab-ci.yml'

#-----------------------------------------------------------------------------------------
# Tests
#-----------------------------------------------------------------------------------------
🎯:testing:
  stage: 🧨unit-tests
  extends: .mocha:testing
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
    - if: $CI_MERGE_REQUEST_IID

#-----------------------------------------------------------------------------------------
# Quality 🖐️ show the report in the pipeline (and in the MR widget later)
#-----------------------------------------------------------------------------------------
🔎:code:quality:eslint:
  stage: 🔎code-quality
  extends: .eslint:analyzer
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
    - if: $CI_MERGE_REQUEST_IID

